Conteníu

# Dir Function

Devuelve'l nome d'un ficheru, direutoriu o tolos ficheros y direutorios d'una unidá o direutoriu que coincidan cola ruta d'accesu de busca especificada.

### Syntax:

    Dir [(PathName As String [, Attributes As Integer])]

### Return value:

Cadena

### Parameters:

PathName: Any string expression that specifies the search path, directory or file. This argument can only be specified the first time that you call the Dir function. If you want, you can enter the path in URL notation.

Attributes:Any integer expression that specifies bitwise file attributes. The Dir function only returns files or directories that match the specified attributes. You can combine several attributes by adding the attribute values:

0 : Ficheros normales.

16 : Namái devuelve'l nome del direutoriu.

Esti atributu usar pa comprobar si un ficheru o direutoriu esisten o pa determinar tolos ficheros y carpetes d'un direutoriu específicu.

Pa comprobar si un ficheru esiste, escriba la ruta d'accesu completa y el nome del ficheru. Si'l nome de ficheru o de direutoriu nun esisten, la función Dir devuelve una cadena de longitud cero ("").

To generate a list of all existing files in a specific directory, proceed as follows: The first time you call the Dir function, specify the complete search path for the files, for example, "D:\Files\*.ods". If the path is correct and the search finds at least one file, the Dir function returns the name of the first file that matches the search path. To return additional file names that match the path, call Dir again, but with no arguments.

To return directories only, use the attribute parameter. The same applies if you want to determine the name of a volume (for example, a hard drive partition).

### Error codes:

5 Llamada a procedimientu non válida

53 Ficheru non atopáu

### Example:

    Sub ExampleDir
    ' Amuesa tolos ficheros y direutorios
    Dim sPath As String
    Dim sDir As String, sValue As String
        sDir="Directorios:"
        sPath = CurDir
        sValue = Dir$(sPath + getPathSeparator + "*",16)
        Do
            If sValue <> "." And sValue <> ".." Then
                If (GetAttr( sPath + getPathSeparator + sValue) And 16) >0 Then
                    ' Algamar los direutorios
                    sDir = sDir & chr(13) & sValue
                End If
            End If
            sValue = Dir$
        Loop Until sValue = ""
        MsgBox sDir,0,sPath
    End Sub

Temes rellacionaos

CurDir Function

CompatibilityMode() Function

Option VBASupport Statement